import pandas as pd

ary_path = "/mnt/shared-storage-user/caipengxiang/workspace/ChemBOMAS/train_regression/data4regression/arylation/new_searchspace.csv"
suzuki_path = "/mnt/shared-storage-user/caipengxiang/workspace/ChemBOMAS/mas/data/exp/suzuki/experiment_index.csv"
target_col = "yield"

ary_df = pd.read_csv(ary_path)
suzuki_df = pd.read_csv(suzuki_path)

# 设定阈值
threshold = 80

# 统计高于80的数量
ary_count = (ary_df[target_col] > threshold).sum()
suzuki_count = (suzuki_df[target_col] > threshold).sum()

print(f"arylation 数据中高于80的有 {ary_count} 个")
print(f"suzuki 数据中高于80的有 {suzuki_count} 个")